# Class StDBDevicePut

java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,StDevice,com.io7m.darco.api.DDatabaseUnit>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<StDevice,com.io7m.darco.api.DDatabaseUnit>
com.io7m.stonesignal.server.database.StDBDevicePut

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseQueryType<StDevice,com.io7m.darco.api.DDatabaseUnit>`, `StDBDevicePutType`

public final class StDBDevicePut extends StDatabaseQueryAbstract<StDevice,com.io7m.darco.api.DDatabaseUnit> implements StDBDevicePutType
The device-put query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `name()`
  `protected com.io7m.darco.api.DDatabaseUnit`
  `onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDevice device)`
  `static StDatabaseQueryProviderType<StDevice,com.io7m.darco.api.DDatabaseUnit,StDBDevicePutType>`
  `provider()`

  ### Methods inherited from class com.io7m.stonesignal.server.database.StDatabaseQueryAbstract

  `attributes, context, context, objectMapper, onExecute, record`

  ### Methods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract

  `execute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.darco.api.DDatabaseQueryType

  `execute`

- ## Method Details

  - ### provider

    public static StDatabaseQueryProviderType<StDevice,com.io7m.darco.api.DDatabaseUnit,StDBDevicePutType> provider()
    Returns:
      The query provider

  - ### onExecuteWithContext

    protected com.io7m.darco.api.DDatabaseUnit onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDevice device) throws Exception
    Specified by:
      `onExecuteWithContext` in class `StDatabaseQueryAbstract<StDevice,com.io7m.darco.api.DDatabaseUnit>`
    Throws:
      `Exception`

  - ### name

    protected String name()
    Specified by:
      `name` in class `StDatabaseQueryAbstract<StDevice,com.io7m.darco.api.DDatabaseUnit>`